Bug 20550 - root can crash system using sysreport
root can crash system using sysreport
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sysreport (Show other bugs)
6.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-08 19:57 EST by Victor J. Orlikowski
Modified: 2007-03-26 23:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-08 19:57:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor J. Orlikowski 2000-11-08 19:57:16 EST
Sysreport can be used to crash the system by root users.
It performs a cp -P -R (using catiffile) on /proc/bus,
which causes some PCI devices to hang the machine.
Comment 1 Wil Harris 2000-11-09 11:05:47 EST
According to Alan "This is known. If you ask lspci to scan all the registers
some cards may lock up and die . Not a bug." 

I have built a work around in sysreport-1.1-2.5 that gets by this issue by doing
an lspci -vn.

Note You need to log in before you can comment on or make changes to this bug.